WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Fetch Feed shortcode pageable

This plugin uses the fetch_feed function to display external RSS Feeds on your WordPress Blog / Site! This plugin also supports configurable paging !

How do I include an external RSS Feed to my post or page?

Use shortcode:

e.g.: [FetchFeedPageable feed="http://www.rottentomatoes.com/syndication/rss/in_theaters.xml" pagesize=5 pagenum=5 linktitle="yes" target="_blank" itemelements="title,date,author,description" ]

Can I set number of items per page?

Yes! just set the pagesize parameter of the shortcode

e.g.: [FetchFeedPageable feed="http://www.rottentomatoes.com/syndication/rss/in_theaters.xml" pagesize=5 pagenum=5 linktitle="yes" target="_blank" itemelements="title,date,author,description" ]

Can I set number of pages displayed in the paging footer?

Yes! just set the pagenum parameter of the shortcode

e.g.: [FetchFeedPageable feed="http://www.rottentomatoes.com/syndication/rss/in_theaters.xml" pagesize=5 pagenum=5 linktitle="yes" target="_blank" itemelements="title,date,author,description" ]

Can I limit the total feed items?

Yes! set the showall parameter to no and the num parameter to a desired number

e.g.: [FetchFeedPageable feed="http://www.rottentomatoes.com/syndication/rss/in_theaters.xml" pagesize=5 num=5 showall=no itemelements="title,date,author,description" ]

Can I configure the elements I wish to display ?

Yes! set the itemelements parameter of the shortcode

Four values are available: title,date,author,description

e.g.: [FetchFeedPageable feed="http://www.rottentomatoes.com/syndication/rss/in_theaters.xml" pagesize=5 pagenum=5 linktitle="yes" target="_blank" itemelements="title,description" ]

Can I style the output with CSS?

Yes! just have a look at the included css file:

fetch-feed-shortcode-pageable/css/style.css

Requires: 2.8 or higher
Compatible up to: 3.1.4
Last Updated: 2011-10-7
Downloads: 2,852

Ratings

4 stars
4.7 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1